<div class="mid-body">
  <div class="container">
    <h1>Projects List</h1>
    <div class="search-box">
      <form>
        <input type="text"
          name=""
          (keyup)="onChange($event)"
          value=""
          placeholder="search projects" />
        <button type="button">
          <img src="assets/images/search-icon.png"
            alt="" />
        </button>
        <!-- <ul *ngIf="openSuggestions" class="project-autocomplete">
          <li *ngFor="let c of filteredProjects">
            <span (click)="onProjectSelect(c)">{{ c.ProjectName }}</span>
          </li>
        </ul> -->
      </form>
      <div class="clearfix"></div>
    </div>
    <div class="project-table-main">
      <div class="project-sort">

        <div class="project-sort-in">
          <aside class="col-sm-3">
            <h4>Refine Projects List by</h4>
          </aside>
          <aside class="col-sm-3">
            <select [ngModel]="filterBy"
              (change)="onChangeFilterByName($event)">
              <option value="ProjectName"
                label="Project Name"></option>
              <option value="CustomerName"
                label="Client Name"></option>
              <option value="Engineer"
                label="Engineer Name"></option>
            </select>
          </aside>
          <!-- <aside class="col-sm-3">
            <select>
              <option>Client Name</option>
              <option>Client Name 1</option>
            </select>
          </aside>
          <aside class="col-sm-3">
            <select>
              <option>Engineer Name</option>
              <option>Engineer Name 1</option>
            </select>
          </aside> -->
        </div>
      </div>
      <div class="project-table">
        <table class="table">
          <thead>
            <tr>
              <th>S.No</th>
              <th>Project Name</th>
              <th>Client</th>
              <th>Engineer</th>
              <th>Date</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let f of displayProjects ; let i = index; ">
              <td>{{((curPage - 1) * pageSize) + i + 1}}</td>
              <td>
                <a [style.cursor]="'pointer'"
                  (click)="onProjectSelect(f)">{{f.ProjectName}}</a>
              </td>
              <td>{{f.CustomerName}}</td>
              <td>{{f.Engineer}}</td>
              <td>{{f.Date | date: 'dd-MM-yyyy'}}</td>
            </tr>
            <tr>

              <!-- </tr>
            <tr>
              <td>2</td>
              <td>
                <a href="# ">14/3-900(speed difference)</a>
              </td>
              <td>Deccan cement</td>
              <td>Surya</td>
              <td>01-01-2018</td>
            </tr>
            <tr>
              <td>3</td>
              <td>
                <a href="# ">14/3-900(speed difference)</a>
              </td>
              <td>Deccan cement</td>
              <td>Surya</td>
              <td>01-01-2018</td>
            </tr>
            <tr>
              <td>4</td>
              <td>
                <a href="# ">14/3-900(speed difference)</a>
              </td>
              <td>Deccan cement</td>
              <td>Surya</td>
              <td>01-01-2018</td>
            </tr>
            <tr>
              <td>5</td>
              <td>
                <a href="# ">14/3-900(speed difference)</a>
              </td>
              <td>Deccan cement</td>
              <td>Surya</td>
              <td>01-01-2018</td>
            </tr>
            <tr>
              <td>6</td>
              <td>
                <a href="# ">14/3-900(speed difference)</a>
              </td>
              <td>Deccan cement</td>
              <td>Surya</td>
              <td>01-01-2018</td>
            </tr>
            <tr>
              <td>7</td>
              <td>
                <a href="# ">14/3-900(speed difference)</a>
              </td>
              <td>Deccan cement</td>
              <td>Surya</td>
              <td>01-01-2018</td>
            </tr>
            <tr>
              <td>8</td>
              <td>
                <a href="# ">14/3-900(speed difference)</a>
              </td>
              <td>Deccan cement</td>
              <td>Surya</td>
              <td>01-01-2018</td>
            </tr>
            <tr>
              <td>9</td>
              <td>
                <a href="# ">14/3-900(speed difference)</a>
              </td>
              <td>Deccan cement</td>
              <td>Surya</td>
              <td>01-01-2018</td>
            </tr>
            <tr>
              <td>10</td>
              <td>
                <a href="# ">14/3-900(speed difference)</a>
              </td>
              <td>Deccan cement</td>
              <td>Surya</td>
              <td>01-01-2018</td>
            </tr> -->
          </tbody>
        </table>
      </div>
    </div>

    <app-pagination *ngIf="data"
      [count]="count"
      (goPage)="goPage($event)"
      (goNext)="goNext($event)"
      [page]="curPage"
      [perPage]="pageSize"
      (goPrev)="goPrev($event)"
      [pagesToShow]="pagesToShow(count)"
      [loading]="false "></app-pagination>
    <!-- <div class="pagination ">
      <span class="active ">1</span>
      <span>2</span>
      <span>3</span>
      <span>4</span>
      <span>5</span>
      <span>6</span>
      <span>7</span>
      <span>8</span>
    </div> -->
  </div>
</div>
